package com.gic.haoban.manage.web.vo.hm;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/7/9 3:31 PM
 * @Description
 * @Version
 **/
public class HmPageInfoVO implements Serializable {

    /**
     * 落地页id
     */
    private Long templateId;

    /**
     * 落地页code
     */
    private String templateCode;

    /**
     * 落地页模板名称
     */
    private String templateName;

    private Integer status;

    /**
     * 页面标题
     */
    private String pageTitle;

    /**
     * 商户名称
     */
    private String merchantName;

    /**
     * 商户名称
     */
    private String merchantPhoneNumber;

    /**
     * 商户logo
     */
    private String merchantLogo;

    /**
     * 页面背景图
     */
    private String pageBackgroundImg;

    /**
     * 引导语
     */
    private String guideComment;

    /**
     * 创建人id
     */
    private String createorId;

    /**
     * 创建人名称
     */
    private String createorName;

    private String modifierId;

    private String modifierName;

    /**
     * 创建时间
     */
    private Date createTime;

    private Date updateTime;

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPageTitle() {
        return pageTitle;
    }

    public void setPageTitle(String pageTitle) {
        this.pageTitle = pageTitle;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getMerchantPhoneNumber() {
        return merchantPhoneNumber;
    }

    public void setMerchantPhoneNumber(String merchantPhoneNumber) {
        this.merchantPhoneNumber = merchantPhoneNumber;
    }

    public String getMerchantLogo() {
        return merchantLogo;
    }

    public void setMerchantLogo(String merchantLogo) {
        this.merchantLogo = merchantLogo;
    }

    public String getPageBackgroundImg() {
        return pageBackgroundImg;
    }

    public void setPageBackgroundImg(String pageBackgroundImg) {
        this.pageBackgroundImg = pageBackgroundImg;
    }

    public String getGuideComment() {
        return guideComment;
    }

    public void setGuideComment(String guideComment) {
        this.guideComment = guideComment;
    }

    public String getCreateorId() {
        return createorId;
    }

    public void setCreateorId(String createorId) {
        this.createorId = createorId;
    }

    public String getCreateorName() {
        return createorName;
    }

    public void setCreateorName(String createorName) {
        this.createorName = createorName;
    }

    public String getModifierId() {
        return modifierId;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
